orb=[1 4 1 4 4 1 4 1];
load Layer_Matrix.dat;
load Lz.dat;
load grid.dat;
atoms=load('atom_index.dat');
NA=length(Layer_Matrix(:,1));
NB=length(Layer_Matrix(1,:))-4;
no_orb=zeros(NA+1,1);
no_orb(1)=0;
for IA=1:NA
    no_orb(IA+1)=no_orb(IA)+orb(Layer_Matrix(IA,4));
end
Norb=max(no_orb)
TB=max(orb)

Ne=50;
LDOS=zeros(Norb,TB,Ne);
for i=0:(Ne-1)
    fileGG=['data/GG_' num2str(i) '_0_0.bin'];
    fileGL=['data/GL_' num2str(i) '_0_0.bin'];
    GG = read_green_bin(fileGG,Norb,TB);
    GL = read_green_bin(fileGL,Norb,TB);
    LDOS(:,:,i+1) = real(1j*(GG - GL));
end

LDOS_ATOM = zeros(NA,Ne);
for IA=1:NA
   orbA=no_orb(IA+1)-no_orb(IA);
   IM=0;
   for IO=no_orb(IA):(no_orb(IA+1)-1)
       IM=IM+1;
       LDOS_ATOM(IA,:)= squeeze(LDOS_ATOM(IA,:)) + squeeze(LDOS(IO+1,IM,:))';      
   end
end

S=ones(NA,1);
C=LDOS_ATOM;
nx=load('number_of_slabs.dat');

top=zeros(nx,Ne);
bot=zeros(nx,Ne);
for ie=1:Ne
    for ix=1:nx
       topldos=0;
       botldos=0;
       for ia=1:200
           if(grid(atoms(ia+200*(ix-1)),2)>0.15)
               topldos=topldos+LDOS_ATOM(ia+200*(ix-1),ie);
           else
               botldos=botldos+LDOS_ATOM(ia+200*(ix-1),ie);
           end
       end
       top(ix,ie)=topldos;
       bot(ix,ie)=botldos;
    end
end
%%
en=load('SCATTEL_E_0_0_0_0.dat');
mu = -2.379;
kbt=1e-4;
nt = zeros(nx,1);
nb = zeros(nx,1);
for ix=1:nx
    for ie=2:Ne
        nt(ix)=nt(ix)+1/(exp((en(ie)-mu)/kbt)+1)*(en(ie)-en(ie-1))*top(ix,ie);
        nb(ix)=nb(ix)+1/(exp((en(ie)-mu)/kbt)+1)*(en(ie)-en(ie-1))*bot(ix,ie);        
    end
end
dx=load('Lx.dat');
pot=zeros(nx*na/nn,1);
for ix=1:size(pot,1)
    pot(ix)=sum(vpot(atoms(nn*(ix-1)+1:nn*ix)))/nn;
end
xx=[1:nx]*dx;
%figure
plot(xx,nt,xx,nb);
legend('top','bottom')
ylim([0 .2])
xlim([0 260])
set(gca,'FontSize',24) % Creates an axes and sets its FontSize to 18