orb=[1 4 1 4 4 1 4 1];
load Layer_Matrix.dat;
load Lz.dat;
load grid.dat;
atoms=load('atom_index.dat');
NA=length(Layer_Matrix(:,1));
NB=length(Layer_Matrix(1,:))-4;
no_orb=zeros(NA+1,1);
no_orb(1)=0;
for IA=1:NA
    no_orb(IA+1)=no_orb(IA)+orb(Layer_Matrix(IA,4));
end
Norb=max(no_orb)
TB=max(orb)

Ne=50;
LDOS=zeros(Norb,TB,Ne);
for i=0:(Ne-1)
    fileGG=['data/GG_' num2str(i) '_0_0.bin'];
    fileGL=['data/GL_' num2str(i) '_0_0.bin'];
    GG = read_green_bin(fileGG,Norb,TB);
    GL = read_green_bin(fileGL,Norb,TB);
    LDOS(:,:,i+1) = real(1j*(GG - GL));
end

LDOS_ATOM = zeros(NA,Ne);
for IA=1:NA
   orbA=no_orb(IA+1)-no_orb(IA);
   IM=0;
   for IO=no_orb(IA):(no_orb(IA+1)-1)
       IM=IM+1;
       LDOS_ATOM(IA,:)= squeeze(LDOS_ATOM(IA,:)) + squeeze(LDOS(IO+1,IM,:))';      
   end
end

S=ones(NA,1);
C=LDOS_ATOM;
nx=load('number_of_slabs.dat');

top=zeros(nx,Ne);
bot=zeros(nx,Ne);
for ie=1:Ne
    for ix=1:nx
       topldos=0;
       botldos=0;
       for ia=1:200
           if(grid(atoms(ia+200*(ix-1)),2)>0.15)
               topldos=topldos+LDOS_ATOM(ia+200*(ix-1),ie);
           else
               botldos=botldos+LDOS_ATOM(ia+200*(ix-1),ie);
           end
       end
       top(ix,ie)=topldos;
       bot(ix,ie)=botldos;
    end
end
%%
dx=load('Lx.dat');
vpot=load('vact_dat');
CBl=load('CB_Ekl.dat');
VBl=load('VB_Ekl.dat');
En=load( 'SCATTHO_E_0_0_0_0.dat');
nx=load('number_of_slabs.dat');
na=200;
nn=50;
xa=[1:nx*na/nn]*dx/na*nn;
pot=zeros(nx*na/nn,1);
for ix=1:size(pot,1)
    pot(ix)=sum(vpot(atoms(nn*(ix-1)+1:nn*ix)))/nn;
end
xx=[1:nx]*dx;
[X,Y]=meshgrid(xx,En);
%%
figure
set(gca,'FontSize',24) % Creates an axes and sets its FontSize to 18
hold on
surf(X,Y,top'-bot'); 
shading interp
colorbar
colormap jet
plot3(xa',pot+min(min(CBl)),(ones(nx*na/nn,1)*1e3),'r--');
plot3(xa',pot+max(max(VBl)),(ones(nx*na/nn,1)*1e3),'k--');
caxis([-100 100])
xlim([0 260])
ylim([-2.12 -2.1])
xlabel('x (nm)')
ylabel('E (eV)')
saveas(gcf,'diffLDOS.png')
%%
% figure
% set(gca,'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
% hold on
% surf(X,Y,(bot)'); 
% shading interp
% colorbar
% plot3(xa',pot+min(min(CBl)),(ones(nx*na/nn,1)*1e2),'r--');
% plot3(xa',pot+max(max(VBl)),(ones(nx*na/nn,1)*1e2),'w--');
% caxis([0 300])
% xlim([0 260])
% %ylim([-2.054 -2.043])
% ylim([-2.385 -2.374])
% xlabel('x (nm)')
% ylabel('E (eV)')
