load CB_Ekl.dat;
load VB_Ekl.dat;
figure
hold on
plot(CB_Ekl', 'ko')
%%
load MCB_Ekr.dat;
load MVB_Ekr.dat;
figure
hold on
plot(CB_Ekr', 'ko')
plot(VB_Ekr', 'ro')
%%
ZEl=load( 'MEL_ZEl_0_0_0_0.dat');
ZEr=load( 'MEL_ZEr_0_0_0_0.dat');
vpot=load('MEL_Vpot_0.dat');
CBr=load('../run0/CB_Ekr.dat');
CBl=load('../run0/CB_Ekl.dat');
VBl=load('../run0/VB_Ekl.dat');
En=load( 'MEL_E_0_0_0_0.dat');
nx=load('number_of_slabs.dat');
atoms=load('atom_index.dat');
na=size(atoms,1)/nx;
pot=zeros(nx,1);

for ix=1:nx
    pot(ix)=sum(vpot(atoms(na*(ix-1)+1:na*ix)))/na;
end
dx=load('Lx.dat');
xx=[1:nx]*dx;
[X,Y]=meshgrid(xx,En);

figure()
hold on
surf(X,Y,ZEl'+ZEr'); 
shading interp
plot3(xx,pot+min(min(CBr)),ones(nx,1)*1e2,'r--');
plot3(xx,pot+max(max(VBl)),ones(nx,1)*1e2,'r--');
%plot3(xx,-1.54*ones(nx,1),ones(nx,1)*1e2,'b--');
view(0,90)
caxis([0 100])
colorbar

%%
solver='SCATT'
Jdens=load([solver 'EL_TE_0_0_0_0.dat']);
Zl=load([solver 'EL_ZEl_0_0_0_0.dat']);
Zr=load([solver 'EL_ZEr_0_0_0_0.dat']);
vpot=load('vact_dat');
CBl=load('../../run1/CB_Ekl.dat');
VBl=load('../../run1/VB_Ekl.dat');
En=load( [solver 'EL_E_0_0_0_0.dat']);
nx=load('number_of_slabs.dat');
atoms=load('atom_index.dat');
dx=load('Lx.dat');

na=200;
nn=50;
pot=zeros(nx*na/nn,1);
for ix=1:size(pot,1)
    pot(ix)=sum(vpot(atoms(nn*(ix-1)+1:nn*ix)))/nn;
    %pot(ix)=vpot(atoms(ix));
end
xx=[1:nx]*dx;
xa=[1:nx*na/nn]*dx/na*nn;
[X,Y]=meshgrid(xx,En);
figure
set(gca,'FontSize',24) % Creates an axes and sets its FontSize to 18
hold on
surf(X,Y,Zl'+Zr'); 
shading interp
plot3(xa',pot+min(min(CBl)),(ones(nx*na/nn,1)*1e2),'r--');
plot3(xa',pot+max(max(VBl)),(ones(nx*na/nn,1)*1e2),'b--');
view(0,90)
caxis([-100 100])
colormap jet
colorbar
xlim([0 260])
ylim([-2.054 -2.038])
xlabel('x (nm)')
ylabel('E (eV)')
savefig('LDOS.fig')
%%
load grid.dat
atoms=load('atom_index.dat');
ndens=load('MEL_n_0.dat');
pdens=load('MEL_p_0.dat');
figure
x=grid(atoms(:),1);
y=grid(atoms(:),3);
subplot(121)
plot(x,pdens,'-')
subplot(122)
plot(x,ndens,'-')
%%
figure
hold on
load MEL_TE_0_0_0_0.dat
plot(En,MEL_TE_0_0_0_0)
%%
figure
hold on
cd ../vr_5
load MEL_TE_0_0_0_0.dat
En = load('MEL_E_0_0_0_0.dat');
plot(En,MEL_TE_0_0_0_0)
cd ../vr_6
load MEL_TE_0_0_0_0.dat
plot(En,MEL_TE_0_0_0_0)
cd ../vr_7
load MEL_TE_0_0_0_0.dat
plot(En,MEL_TE_0_0_0_0)
cd ../vr_8
load MEL_TE_0_0_0_0.dat
plot(En,MEL_TE_0_0_0_0)
cd ../vr_9
load MEL_TE_0_0_0_0.dat
plot(En,MEL_TE_0_0_0_0)
%%
Zl=load('UCB_ZEl_0.dat');
Zr=load('UCB_ZEr_0.dat');
CBl=load('CB_Ekl.dat');
VBl=load('VB_Ekl.dat');
En=load( 'UCB_E_0.dat');
nx=load('number_of_slabs.dat');
atoms=load('atom_index.dat');
dx=0.3;

xx=[1:nx]*dx;

[X,Y]=meshgrid(xx,En);
figure
hold on
surf(X,Y,Zl'+Zr'); 
shading interp
view(0,90)
caxis([0 50])
colorbar
%%
figure
cur=zeros(5,5);
hold on
for i=1:5
    for j=1:5
    dir=strcat('../../vl_',num2str(4+i),'/vr_',num2str(4+j))
    cd(dir)
    load MEL_TE_0_0_0_0.dat
    En=load( 'MEL_E_0_0_0_0.dat');
    plot(En,MEL_TE_0_0_0_0,'DisplayName',dir)
    end
end
legend()
hold off
%%
cur=zeros(5,5);
for i=1:5
    for j=1:5
    dir=strcat('../../vl_',num2str(4+i),'/vr_',num2str(4+j))
    cd(dir)
    load MEL_TE_0_0_0_0.dat
    En=load( 'MEL_E_0_0_0_0.dat');
    cur(i,j)=buttiker(MEL_TE_0_0_0_0,En,-2.0502,-2.0508,0.001);
    end
end
figure
contourf(log10(cur))
colorbar
%%
mu1=-2.045;mu2=-2.046;kbt=0.001;
fd=( 1./(exp((En-mu1)/kbt)+1) - 1./(exp((En-mu2)/kbt)+1));
plot(En,fd)
%%
emin=-2.06;
emax=-2.04;
de=1e-4;
nen=floor((emax-emin)/de);
nen=50;
en=linspace(emin,emax,nen)
fid = fopen('E_dat', 'wt');
fprintf(fid, '%i\n', nen);
fprintf(fid, '%s ', en);
fclose(fid);
%save('E_dat','','en','-ascii')
%%
figure

hold on

    VL=3;
    VR=3;
    VM=0;
    W=10;
    dir=['vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/Width_' num2str(W) '/']
    T= load([dir 'MEL_TE_0_0_0_0.dat']);
    En = load([dir 'MEL_E_0_0_0_0.dat']);
    plot(En,T)
    cur=buttiker(T,En,-2.050,-2.051,1e-4)
    
    VL=3;
    VR=3;
    VM=0;
    W=20;
    dir=['vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/Width_' num2str(W) '/']
    T=load([dir 'MEL_TE_0_0_0_0.dat']);
    En = load([dir 'MEL_E_0_0_0_0.dat']);
    cur=buttiker(T,En,-2.050,-2.051,1e-4)
    plot(En,T,'--')
    
        VL=3;
    VR=3;
    VM=0;
    W=28;
    dir=['vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/Width_' num2str(W) '/']
    T=load([dir 'MEL_TE_0_0_0_0.dat']);
    En = load([dir 'MEL_E_0_0_0_0.dat']);
    cur=buttiker(T,En,-2.050,-2.051,1e-4)
    plot(En,T,'--')
%%
    figure

hold on

    VL=4;
    VR=4;
    VM=0;
    W=10;
    dir=['vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/Width_' num2str(W) '/']
    T= load([dir 'MEL_TE_0_0_0_0.dat']);
    En = load([dir 'MEL_E_0_0_0_0.dat']);
    plot(En,T)
    cur=buttiker(T,En,-2.050,-2.051,1e-4)

    W=20;
    dir=['vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/Width_' num2str(W) '/']
    T=load([dir 'MEL_TE_0_0_0_0.dat']);
    En = load([dir 'MEL_E_0_0_0_0.dat']);
    cur=buttiker(T,En,-2.050,-2.051,1e-4)
    plot(En,T,'--')
    

    W=28;
    dir=['vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/Width_' num2str(W) '/']
    T=load([dir 'MEL_TE_0_0_0_0.dat']);
    En = load([dir 'MEL_E_0_0_0_0.dat']);
    cur=buttiker(T,En,-2.050,-2.051,1e-4)
    plot(En,T,'--')
 %%
figure % conductance vs VL=VR and Width

M=9;
N=35;
cur=zeros(M,N);
for j=1:4    
    mu_s=-2.049-0.001*j;
    mu_d=mu_s-0.0001;   
    cur(:,:)=0;
    for i=3:M
        VL=i;
        VR=VL;
        VM=0;
        for W=1:N
            dir=['/usr/scratch2/zijin/jiang/Working/2D/blg/Orth/e_1/omen/zigzag-260nm/prod-runs/vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/Width_' num2str(W) '/']
            T= load([dir 'MEL_TE_0_0_0_0.dat']);
            En = load([dir 'MEL_E_0_0_0_0.dat']);
            cur(i,W)=buttiker(T,En,mu_s,mu_d,1e-6);
        end
        %plot(En,T)
    end 
    subplot(2,2,j)   
    surf(1e8*cur(:,:));  

    shading interp
    colormap(jet)
    colorbar
    view(0,90)
    xlim([1 20])
    if (j>2)
        xlim([1 10])
    end
    ylim([3 9])
    %xlabel('W (nm)')
    %ylabel('V (V)')    
    set(gca,'FontSize',18,'FontName','Times') % Creates an axes and sets its FontSize to 18
    title(['\mu_s=' num2str(mu_s)],'FontSize',12)
end
%%
%figure  % conductance vs VL and VR

M=40;
N=240;
cur=-1*zeros(N,M);
np=1;
nnn=0;
filenan=zeros(N*M,3);
for p=1:np*np   
    nnn=0;
    mu_s=-2.05255-0.0005*(p-1);
    mu_d=mu_s-0.0001;   
    cur(:,:)=0*-0.5e-8;
    for i=1:M
        VL=i*2;
        y(i)=VL;

        VM=0;
        for j=1:N
            VR=j/2.0;
            x(j)=VR;
            dir=['/usr/scratch2/zijin/jiang/Working/2D/groupIV-Elemental/BiLayerGraphene/Orth/e_1/omen/zigzag-260nm/prod-runs/Width10//vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/']
            if isfile([dir 'MEL_TE_0_0_0_0.dat'])
                 % File exists.
                T= load([dir 'MEL_TE_0_0_0_0.dat']);
                 En = load([dir '../Source/E.dat']);
                cur(j,i)=buttiker(T,En,mu_s,mu_d,1e-6);
            else
                 % File does not exist.
                 nnn=nnn+1;
                 filenan(nnn,:) = [(VL) (VM) (VR) ];
                 %cur(j,i)=nan;                 
            end
        end
        %plot(En,T)
    end 
    subplot(np,np,p)   
    %x=[1:N]*0.5;
    %y=[1:M]+40;
    [X,Y]=meshgrid(x*0.01/5,y*0.01/5);
    surf(X,Y,log(1e8*cur(:,:)'));  
    %surf(log(1e8*cur(:,:))');  
    hold on 
    %plot3(x,10e9*cur(10,:)+5,ones(M)*50,x,10e9*cur(20,:)+10,ones(M)*50)
    hold off
    shading interp
    colormap(jet)
    colorbar
    view(0,90)
    %xlim([8 max(x*0.2)])
    ylim([0.0 max(y*0.002)])
    xlabel('V_R (V)')
    ylabel('V_L (V)')    
%     if p<3  
%         set(gca,'xtick',[])
%     end
%     if (p ==2 | p==4)  
%         set(gca,'ytick',[])
%     end
    set(gca,'FontSize',18,'FontName','Times') % Creates an axes and sets its FontSize to 18
    %ylim([1 7.5])
    %xlim([1 7.5])    
    %title(['\mu_s=' num2str(mu_s)],'FontSize',12)
end

%%
figure  % conductance vs VDS and VM

M=40;
N=100;
cur=zeros(M,N);
for p=1:4    
    mu_s=-2.054+p*0.001;
    %mu_d=mu_s-0.0001;   
    cur(:,:)=-0e-8;
    VL=6;
    VR=6;
    subplot(2,2,p)   
    hold on
    for i=1:M              
        VM=i/10.0-2.1;
        dir=['/usr/scratch2/zijin/jiang/Working/2D/groupIV-Elemental/BiLayerGraphene/Orth/e_1/omen/zigzag-260nm/prod-runs/Width10//vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/'];
        if isfile([dir 'MEL_TE_0_0_0_0.dat'])
             % File exists.
            T= load([dir 'MEL_TE_0_0_0_0.dat']);
            En = load([dir 'MEL_E_0_0_0_0.dat']);
            if VM>0
                %plot3((En+2.055)*10,T*0.01,ones(size(En))*1e5)
            end
            for j=1:N                
                mu_d=mu_s+0.0002*j;   
                cur(i,j)=buttiker(T,En,mu_s,mu_d,1e-6)/(-mu_d+mu_s+1e-5);
            end
        else
             % File does not exist.
              for j=1:N                
                 cur(i,j)=nan;
              end
        end                
    end 

    x=[1:M]/10.-2.1;
    y=[1:N]*0.0002;
    [X,Y]=meshgrid(x,y);    
    surf(X,Y,abs(1e8*cur(:,:))');  
    hold off
    shading interp
    colormap(jet)
    colorbar
    view(0,90)
    %xlim([0.5 20])
    %ylim([0.5 20])
    xlabel('V_M')
    set(gca,'FontSize',18,'FontName','Times') % Creates an axes and sets its FontSize to 18
    title(['\mu_s=' num2str(mu_s)],'FontSize',12)
end

%%
figure  % conductance vs VL and VR for Width 20

M=40;
N=40;
cur=-1*zeros(M,N);
np=2;
T=zeros(M,N,1600);
for p=1:np*np    
    mu_s=-2.049-0.0005*p;
    mu_d=mu_s-0.0001;   
    cur(:,:)=0*-0.5e-8;
    for i=1:M
        VL=i;

        VM=0;
        for j=1:N
            VR=j;
            dir=['/usr/scratch2/zijin/jiang/Working/2D/blg/Orth/e_1/omen/zigzag-260nm/prod-runs/Width20//vl_' num2str(VL) '_vm_' num2str(VM) '_vr_' num2str(VR) '/'];
            if isfile([dir 'MEL_TE_0_0_0_0.dat'])
                 % File exists.
                T(i,j,:)= load([dir 'MEL_TE_0_0_0_0.dat']);
                 En = load([dir 'MEL_E_0_0_0_0.dat']);
                cur(i,j)=buttiker(T(i,j,:),En,mu_s,mu_d,1e-6);
            else
                 % File does not exist.
                 cur(i,j)=nan;
            end
        end
        %plot(En,T)
    end 
    subplot(np,np,p)   
    x=[1:M]*0.5;
    y=[1:N]*0.5;
    [X,Y]=meshgrid(x,y);
    %surf(X,Y,1e8*cur(:,:));  
    surf(X,Y,(1e8*cur(:,:)));  
    hold on 
    plot3(x,10e9*cur(10,:)+5,ones(M)*50,x,10e9*cur(20,:)+10,ones(M)*50)
    hold off
    shading interp
    colormap(jet)
    colorbar
    view(0,90)
    xlim([3 M/2.])
    ylim([3 N/2.])
    %xlabel('W (nm)')
    %ylabel('V (V)')    
    set(gca,'FontSize',18,'FontName','Times') % Creates an axes and sets its FontSize to 18
    title(['\mu_s=' num2str(mu_s)],'FontSize',12)
end