data = load( 'pw2/bands_bot.dat.all' );
%band = load( 'e_1/pw-wfc-pseudo//bands_bot.dat.all' );

figure

x = data(1:4:end,1);
y = data(1:4:end,2);
z = data(1:4:end,3);
s = 50*ones(size(x));
scatter(x,y,s,z,'filled');
line(x,y)
ylim([-2.7 -1.8]);
xlim([0.26 0.4]);
xlabel('')
ylabel('')
colorbar
caxis([0 1])
colormap(jet)
set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
set(gca, 'Position', get(gca, 'OuterPosition') - ...
    get(gca, 'TightInset') * [-1 0 1 0; 0 -1 0 1; 0 0 1 0; 0 0 0 1]);


%%
f='e_1/pw-wfc-pseudo/bands_bot.dat.all'
fid = fopen(f);
formatSpec = '%f %f %f';
data = cell2mat(textscan(fid,formatSpec));
figure
x = data(:,1);
y = data(:,2)-0.14;
z = data(:,3);
s = 100*ones(size(x));
scatter(x,y,s,z,'filled');
line(x,y)
ylim([-2.7 -1.8]);
xlim([0.26 0.4]);
xlabel('')
ylabel('')
colorbar
caxis([0 1])
colormap(jet)
set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
set(gca, 'Position', get(gca, 'OuterPosition') - ...
    get(gca, 'TightInset') * [-1 0 1 0; 0 -1 0 1; 0 0 1 0; 0 0 0 1]);

%%
f='weight.dat';
fid = fopen(f);
formatSpec = '%f %f %f %f %f %f %f';
data = cell2mat(textscan(fid,formatSpec));
fclose(fid);
figure
hold on
x = data(:,1)*0.514;
y = data(:,3)-data(:,5);
y2= data(:,6)-data(:,5);
z = data(:,4);
z2= 1-data(:,4);
s = 100*ones(size(x));
scatter(x,y,s,z,'filled');
scatter(x,y2,s,z2,'filled');
line(x,y)
line(x,y2)
%ylim([-2.7 -1.8]);
%xlim([0.26 0.4]);
xlabel('')
ylabel('')
colorbar
caxis([0 1])
colormap(jet)
set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
vset(gca, 'Position', get(gca, 'OuterPosition') - ...
    get(gca, 'TightInset') * [-1 0 1 0; 0 -1 0 1; 0 0 1 0; 0 0 0 1]);

%%

f='weight.dat';
fid = fopen(f);
formatSpec = '%f %f %f %f %f %f %f';
data = cell2mat(textscan(fid,formatSpec));
fclose(fid);
figure
hold on
x = data(:,1)*0.514;
y1 = data(:,4);
y2= data(:,7);
plot(x,y1,'-o',x,1-y1,'-s',x,y2,'-*',x,1-y2,'->')
legend('b_1','t_1','b_0','t_0')
ylim([0 1]);
%xlim([0.26 0.4]);
xlabel('')
ylabel('')
set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
set(gca, 'Position', get(gca, 'OuterPosition') - ...
    get(gca, 'TightInset') * [-1 0 1 0; 0 -1 0 1; 0 0 1 0; 0 0 0 1]);

%% 
 figure % contrast
[X,Y]=meshgrid(V,bAC);
Y=Y*0.1;
surf(X,Y,contrast);
shading interp
set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
colormap(jet)
ylim([0.5 3])
xlim([0 0.15])
xlabel('t_{L(R)}')
ylabel('L (nm)')
view(0,90)
colorbar

%%
figure % sensitivity 
[X,Y]=meshgrid(V,bAC);
Y=Y*0.1;
gammaR=8e-5;
surf(X,Y,sensitivity*2*pi*gammaR);
shading interp
set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
colormap(jet)
ylim([0.5 3])
xlim([0 0.15])
xlabel('t_{L(R)}')
ylabel('L (nm)')
view(0,90)
colorbar

%%
x0=10;
y0=10;
width=800;
height=400;
figure % time evolution
set(gcf,'units','points','position',[x0,y0,width,height])

load time_evole_ZrS2-HfS2.mat
rhoARmat2=rhoAR;
rhoBRmat2=rhoBR;
load time_evole_ZrS2-HfS2.mat
rhoARmat22=rhoAR;
rhoBRmat22=rhoBR;
gammaR=8e-5;
x=times*0.3e-4;
%x=times;

subplot(1,2,1)

load time_evole_BLG.mat
x=times*0.3e-4;
hold on
yyaxis left
plot(x,rhoAR*2*pi*gammaR*77.48,' b', ...
     x,rhoBR*2*pi*gammaR*77.48,'--b',...
     'LineWidth',4)
ylabel('Current (\mu A)')
yyaxis right 
plot(x,rhoAA1,' r',x, rhoAA2,' --r', ...
     x,rhoBB1,' k',x, rhoBB2,' --k', ...
    'LineWidth',4) 
hold off
%legend('I_D(1)','I_D(0)','\rho_T(1)','\rho_B(1)','\rho_T(0)','\rho_B(0)')
xlabel('time (ps)')
% ylabel('Population')

set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Helvetica') % Creates an axes and sets its FontSize to 18

subplot(1,2,2)

load time_evole_ZrS2-HfS2.mat
x=times*0.3e-4;
hold on
yyaxis left
plot(x,rhoAR*2*pi*gammaR*77.48,' b', ...
     x,rhoBR*2*pi*gammaR*77.48,'--b',...
     'LineWidth',4)
% ylabel('Current (\mu A)')
yyaxis right 
plot(x,rhoAA1,' r',x, rhoAA2,' --', 'LineColor', 'r', ...
     x,rhoBB1,' k',x, rhoBB2,' --r', ...
    'LineWidth',4) 
hold off
xlabel('time (ps)')
ylabel('Population')
set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Helvetica') % Creates an axes and sets its FontSize to 18


% subplot(2,2,[2 4])
% 
% load time_evole_ZrS2-HfS2_V0by10.mat
% hold on
% yyaxis left
% ylabel('Current (\mu A)')
% plot(x,rhoAR*2*pi*gammaR*77.48,' r', ...
%      x,rhoBR*2*pi*gammaR*77.48,'--r',...
%      'LineWidth',4)
% %ylabel('Current (\mu S)')
% yyaxis right 
% plot(x,rhoAA1,' b',x, rhoAA2,' --b', ...
%      x,rhoBB1,' k',x, rhoBB2,' --k', ...
%     'LineWidth',4) 
% ylabel('Population')

legend('I_D(1)','I_D(0)','\rho_T(1)','\rho_B(1)','\rho_T(0)','\rho_B(0)')
% hold off
% xlabel('time (ps)')
% set(gca,'Units','normalized',...
%     'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
%%
f='/usr/scratch2/zijin/jiang/Working/vdWH/qe/MoS2-WSe2-MoS2/pbe-noso/pw/band/Copy_of_bands_mid.dat.all';
fid = fopen(f);
formatSpec = '%f %f %f';
data = cell2mat(textscan(fid,formatSpec));

%figure

x = data(:,1);
y = data(:,2);
z = data(:,3);
s = 100*ones(size(x));
scatter(x,y,s,z,'filled');
%line(x,y)
ylim([1. 3.5]);
%xlim([0.26 0.4]);
xlabel('')
ylabel('E (eV)')
xticks([0 0.5774 0.9107 1.5774])
xticklabels({'\Gamma','M','K','\Gamma'})
cmap = jet(500);
colormap(cmap);
cbh=colorbar;
%set(cbh,'position',[.91 .34 .031 .475]) %[xposition yposition width height].
%set(get(cbh,'ylabel'),'string','Point density'); 
set(cbh,'XTickLabel',{'MoS_2',' ',' ',' ',' ','WSe_2',}); 

set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18


%% 
% x0=10;
% y0=10;
% width=550;
% height=750;
% figure % time evolution
% set(gcf,'units','points','position',[x0,y0,width,height])
figure
subplot(1,2,1) % contrast
load contrast-sense.mat
x=V0;
y=E;
z=contrast;
w = z;
% Make a contour plot with the w-data.
[xg, yg] = meshgrid(0:0.01:max(y));
wg = griddata(x,y,w,xg,yg);
surf(xg,yg,wg);
shading interp
% Make a scatter3 plot with the z-data, and also use the z-data to color the markers. The fourth input is empty ( [] ) because we want the markers to all be the same size.
hold on
%scatter3(x, y, z, [], z,'Filled');
view(2)
hold off
set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
colormap(jet)
ylim([0 max(y)])
xlim([0 max(x)/3])
caxis([0 1])
xlabel('V_0 (eV)')
ylabel('\Delta E (eV)')
colorbar


subplot(1,2,2) % contrast
load contrast-sense.mat
x=V0;
%y=sqrt(E-x);
y=E;
z=sensitivity*2*pi*gammaR*77.48;
w = z;
% Make a contour plot with the w-data.
[xg, yg] = meshgrid(0:0.01:max(y));
wg = griddata(x,y,w,xg,yg);
%contour(xg,yg,wg);
hold on
surf(xg,yg,wg);
shading interp
% Make a scatter3 plot with the z-data, and also use the z-data to color the markers. The fourth input is empty ( [] ) because we want the markers to all be the same size.
%scatter3(x, y, z, [], z, 'Filled');
view(2)

set(gca,'Units','normalized',...
    'FontSize',24,'FontName','Times') % Creates an axes and sets its FontSize to 18
colormap(jet)
caxis([0 1])
ylim([0 max(y)])
xlim([0 max(x)/3])
xlabel('V_0 (eV)')
ylabel('\Delta E (eV)')
colorbar


